## org.biojava.utils.automata
Class PatternBlitz

    java.lang.Object
      org.biojava.utils.automata.PatternBlitz

    public class PatternBlitz

extends Object

Constructor Summary
`PatternBlitz(FiniteAlphabet alfa, org.biojava.utils.automata.StateMachineToolkit factory)`

Method Summary
`void` `addPattern(String pattern)` add the specified regex to the patterns used for searching.
`void` `lock()`
`void` `search(SymbolList sl)`
`void` `setListener(PatternListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternBlitz

    public PatternBlitz(FiniteAlphabet alfa,
                        org.biojava.utils.automata.StateMachineToolkit factory)

Method Detail

### lock

    public void lock()

### setListener

    public void setListener(PatternListener listener)

### addPattern

    public void addPattern(String pattern)

  add the specified regex to the patterns used for searching.

### search

    public void search(SymbolList sl)
                throws IllegalAlphabetException

  Throws:
    `IllegalAlphabetException`